
; Loader fuer CPD3

		TITLE	CPD5TST

		.Z80


; ***** Programmbeginn *****




start:

		DI

	; 1. Interrupt speeren
		LD	A,003H
		OUT	(PIO1AC),A
		OUT	(PIO1BC),A

	; Initialisierung der PIO

	; 1. MODE3 Bitbetrieb (Maske folgt)
		LD	A,0CFH
		OUT	(PIO1AC),A
		OUT	(PIO1BC),A

	; 2. Maske fuer Bitbetrieb 
		LD	A,C_SYS_IW
		OUT	(PIO1AC),A
		LD	A,C_ITP2_IW
		OUT	(PIO1BC),A

		LD	A,D_SYS_IW
		OUT	(PIO1AD),A	

; ********** Zeitschleife 1 Sekunde ******************
		; 2 MHz = 0,5 uS

m4:		LD	L,5

		; etwa 0,18 S		
m3:		LD	C,0	; 7T
		;
m2:		LD	B,0	; 7T
		;
m1:		DEC	B	; 4T
		JR	NZ,m1	; 7T / 12T / 11T*254=2794T+12T+7T=2813T
		;
		DEC	C	; 4T
		JR	NZ,m2	; 7T / 12T / 2813T+11T=2824T*254=717296T+12T+7T=717315T
		;
		DEC	L
		JR	NZ,m3

; ********** Zeitschleife 1 Sekunde ******************


		; hier sind wir etwa ein mal pro Sekunde
		
		CP	00000101B
		JR	Z,m5
		;
		LD	A,00000101B
		OUT	(PIO1AD),A
		JR	m4
		;
m5:		LD	A,00001101B
		OUT	(PIO1AD),A
		JR	m4


		ORG	0038H

		HALT




